Run of scrub-obsolete for bindechexascii

Try this locally (using the lintian-brush package):

debcheckout bindechexascii
cd bindechexascii
deb-scrub-obsolete
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
Running ['scrub-obsolete']
Opening branch at https://github.com/marciosouza20/bindechexascii.git/,branch=master
Cached branch URL file:/home/janitor/vcs/git/bindechexascii,branch=master missing: Branch does not exist: Not a branch: "/home/janitor/vcs/git/bindechexascii/": location is a repository.
Total 49 (delta 0), reused 0 (delta 0), pack-reused 49
Workspace ready - starting.
Assuming changelog needs to be updated, since it is always changed together with other files in the tree. Specify --no-update-changelog to override.
Opened schroot session unstable-amd64-sbuild-9e23a850-4034-4402-a13c-6f7678c12d34 (from unstable-amd64-sbuild)
Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver())]
Elapsed time: 0:00:04.207222
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 361, in get_file_with_stat
    file_obj = open(abspath, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/home/janitor/tmp/tmpzkdrh56c/bindechexascii/debian/changelog'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 975, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 913, in main
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 800, in process_package
    build_target_details = build_target.build(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 505, in build
    (changes_name, cl_version) = build_incrementally(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 482, in build_incrementally
    return attempt_build(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 230, in attempt_build
    add_dummy_changelog_entry(
  File "/home/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 107, in add_dummy_changelog_entry
    with tree.get_file(path) as f:
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 354, in get_file
    return self.get_file_with_stat(path, filtered=filtered)[0]
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 364, in get_file_with_stat
    raise errors.NoSuchFile(path)
breezy.errors.NoSuchFile: No such file: 'debian/changelog'

Full worker log